# Uses of Class
it.tdlight.jni.TdApi.InputSticker

## Uses of TdApi.InputSticker in it.tdlight.jni

Subclasses of TdApi.InputSticker in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InputStickerAnimated`
An animated sticker in TGS format.
`static final class`
`TdApi.InputStickerStatic`
A static sticker in PNG format, which will be converted to WEBP server-side.
Fields in it.tdlight.jni declared as TdApi.InputSticker
Modifier and Type
Field
Description
`TdApi.InputSticker`
TdApi.AddStickerToSet.`sticker`
Sticker to add to the set.
`TdApi.InputSticker`
TdApi.UploadStickerFile.`sticker`
Sticker file to upload.
`TdApi.InputSticker[]`
TdApi.CreateNewStickerSet.`stickers`
List of stickers to be added to the set; must be non-empty.
Constructors in it.tdlight.jni with parameters of type TdApi.InputSticker
Modifier
Constructor
Description
``
`AddStickerToSet(long userId, String name, TdApi.InputSticker sticker)`
Adds a new sticker to a set; for bots only.
``
`CreateNewStickerSet(long userId, String title, String name, boolean isMasks, TdApi.InputSticker[] stickers, String source)`
Creates a new sticker set.
``
`UploadStickerFile(long userId, TdApi.InputSticker sticker)`
Uploads a PNG image with a sticker; returns the uploaded file.